<?php

namespace App\Admin\Controllers;

use Encore\Admin\Controllers\AuthController as BaseAuthController;
use GuzzleHttp\Client;
use Illuminate\Support\Facades\Auth;

class AuthController extends BaseAuthController
{
    /**
     * 获取4s系统的访问令牌
     *
     * @return \Illuminate\Http\JsonResponse
     */
    public function get4sAccessToken()
    {
        try {
            $user = Auth::user();
            
            $client = new Client();
            $response = $client->post('http://newlinker.net:18001/login/pc', [
                'query' => [
                    'username' => $user->username,
                    'password' => $user->password
                ],
                'http_errors' => false
            ]);

            $result = json_decode($response->getBody()->getContents(), true);

            if ($result['success'] && $result['code'] == 200) {
                return response()->json([
                    'success' => true,
                    'code' => 200,
                    'message' => '成功',
                    'data' => [
                        'token' => $result['data']['token']
                    ]
                ]);
            }

            return response()->json([
                'success' => false,
                'code' => $result['code'] ?? 500,
                'message' => $result['message'] ?? '获取token失败',
                'data' => null
            ]);

        } catch (\Exception $e) {
            return response()->json([
                'success' => false,
                'code' => 500,
                'message' => '获取token失败: ' . $e->getMessage(),
                'data' => null
            ]);
        }
    }
}
